import res.Sprite;

class BlueUnit extends Unit {
	var shotDelay:Float = 1;
	var shotTime:Float = 1;

	public function new(sprite:Sprite) {
		super(sprite);
		currentFrameIndex = 0;
	}

	override function update(dt:Float) {
		super.update(dt);

		if (shotTime <= 0) {
			shotCb('bullet');
			shotTime = shotDelay + shotTime;
		} else
			shotTime -= dt;
	}
}
